> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Message

> Send a message and stream the assistant response via SSE.

Event stream shape:
    event: text         data: {"text": "..."}
    event: tool_start   data: {"name": "search_products", "input": {...}}
    event: tool_result  data: {"name": "...", "output": {...}}
    event: refusal      data: {"text": "...", "label": "off_topic"}
    event: complete     data: {"message_id": "...", "meta": {...}}
    event: error        data: {"detail": "..."}



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/chat/conversations/{conv_id}/message
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/chat/conversations/{conv_id}/message:
    post:
      tags:
        - chat
      summary: Post Message
      description: |-
        Send a message and stream the assistant response via SSE.

        Event stream shape:
            event: text         data: {"text": "..."}
            event: tool_start   data: {"name": "search_products", "input": {...}}
            event: tool_result  data: {"name": "...", "output": {...}}
            event: refusal      data: {"text": "...", "label": "off_topic"}
            event: complete     data: {"message_id": "...", "meta": {...}}
            event: error        data: {"detail": "..."}
      operationId: post_message_api_v1_chat_conversations__conv_id__message_post
      parameters:
        - name: conv_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conv Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageIn'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MessageIn:
      properties:
        text:
          type: string
          maxLength: 4000
          minLength: 1
          title: Text
      type: object
      required:
        - text
      title: MessageIn
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````